aboutsummaryrefslogtreecommitdiffstats
path: root/packages
diff options
context:
space:
mode:
authorMarcin Juszkiewicz <hrw@openembedded.org>2006-11-27 12:15:28 +0000
committerMarcin Juszkiewicz <hrw@openembedded.org>2006-11-27 12:15:28 +0000
commit8af94d900dc317ad136659f24ac96f49c6bb516a (patch)
tree174633bc8f90a9f22e97a99d18cae3b517c0d2a0 /packages
parent7b7e5304929813d73699f9c961da1b631bdee3cd (diff)
downloadopenembedded-8af94d900dc317ad136659f24ac96f49c6bb516a.tar.gz
openembedded-8af94d900dc317ad136659f24ac96f49c6bb516a.tar.bz2
openembedded-8af94d900dc317ad136659f24ac96f49c6bb516a.zip
acpid: added 1.0.4
Diffstat (limited to 'packages')
-rw-r--r--packages/acpid/acpid-1.0.4/.mtn2git_empty0
-rw-r--r--packages/acpid/acpid-1.0.4/gcc40.patch13
-rwxr-xr-xpackages/acpid/acpid-1.0.4/init26
-rw-r--r--packages/acpid/acpid_1.0.4.bb33
4 files changed, 72 insertions, 0 deletions
diff --git a/packages/acpid/acpid-1.0.4/.mtn2git_empty b/packages/acpid/acpid-1.0.4/.mtn2git_empty
new file mode 100644
index 0000000000..e69de29bb2
--- /dev/null
+++ b/packages/acpid/acpid-1.0.4/.mtn2git_empty
diff --git a/packages/acpid/acpid-1.0.4/gcc40.patch b/packages/acpid/acpid-1.0.4/gcc40.patch
new file mode 100644
index 0000000000..dbe090ba41
--- /dev/null
+++ b/packages/acpid/acpid-1.0.4/gcc40.patch
@@ -0,0 +1,13 @@
+Index: acpid-1.0.3/ud_socket.c
+===================================================================
+--- acpid-1.0.3.orig/ud_socket.c 2003-11-17 14:24:58.000000000 -0700
++++ acpid-1.0.3/ud_socket.c 2005-06-27 14:44:17.785576106 -0700
+@@ -58,7 +58,7 @@
+ while (1) {
+ int newsock = 0;
+ struct sockaddr_un cliaddr;
+- int len = sizeof(struct sockaddr_un);
++ socklen_t len = sizeof(struct sockaddr_un);
+
+ newsock = accept(listenfd, (struct sockaddr *)&cliaddr, &len);
+ if (newsock < 0) {
diff --git a/packages/acpid/acpid-1.0.4/init b/packages/acpid/acpid-1.0.4/init
new file mode 100755
index 0000000000..4937e71e9f
--- /dev/null
+++ b/packages/acpid/acpid-1.0.4/init
@@ -0,0 +1,26 @@
+#! /bin/sh -e
+
+test -x /usr/sbin/acpid || exit 0
+test -d /proc/acpi || exit 0
+
+case "$1" in
+ start)
+ echo -n "Starting Advanced Configuration and Power Interface daemon: "
+ start-stop-daemon -S -x /usr/sbin/acpid -- -c /etc/acpi/events -s /var/run/.acpid.socket
+ echo "acpid."
+ ;;
+ stop)
+ echo -n "Stopping Advanced Configuration and Power Interface daemon: "
+ start-stop-daemon -K -x /usr/sbin/acpid
+ echo "acpid."
+ ;;
+ restart|force-reload)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "Usage: /etc/init.d/acpid {start|stop|restart|force-reload}"
+ exit 1
+esac
+
+exit 0
diff --git a/packages/acpid/acpid_1.0.4.bb b/packages/acpid/acpid_1.0.4.bb
new file mode 100644
index 0000000000..4ce3878785
--- /dev/null
+++ b/packages/acpid/acpid_1.0.4.bb
@@ -0,0 +1,33 @@
+SECTION = "base"
+DESCRIPTION = "A daemon for delivering ACPI events."
+LICENSE="GPL"
+
+SRC_URI = "${SOURCEFORGE_MIRROR}/acpid/acpid-${PV}.tar.gz \
+ file://gcc40.patch;patch=1 \
+ file://init"
+
+EXTRA_OEMAKE = ""
+do_compile () {
+ oe_runmake 'CC=${CC}' 'CROSS=${HOST_PREFIX}'
+}
+
+do_install () {
+ oe_runmake 'INSTPREFIX=${D}' install
+ install -d ${D}${sysconfdir}/init.d
+ cat ${WORKDIR}/init | sed -e's,/usr/sbin,${sbindir},g' > ${D}${sysconfdir}/init.d/acpid
+ chmod 755 ${D}${sysconfdir}/init.d/acpid
+}
+
+pkg_postinst () {
+ if test -n "${D}"; then
+ D="-r $D"
+ fi
+ update-rc.d $D acpid defaults
+}
+
+pkg_prerm () {
+ if test -n "${D}"; then
+ D="-r $D"
+ fi
+ update-rc.d $D acpid remove
+}